<?php include('casa/setup.casa.php');
include('web4/inc_head.php'); ?>
<body>
    <?php include('web4/inc_menu.php');?>
    <?php include('web4/inc_banner.php');?>

    <div class="shop-box-inner">
        <div class="container">
            <div class="row">
                <div class="col-xl-9 col-lg-12 col-sm-12 col-xs-12">
                    <div class="right-product-box">
                        
                        <div class="product-categorie-box">
                            <div class="tab-content">
                                <div role="tabpanel" class="tab-pane fade show active" id="grid-view">
                                    
                                        <?php 
                                        $categorias = new DB();
                                        $sqlCateg = "SELECT * FROM web_categorias
                                        ORDER BY categ_nombre DESC;";
                                        $categorias->dbSQL($sqlCateg);
                                        while($categorias->next()){
                                            $categ_codigo = $categorias->dbField('categ_codigo');
                                            $categ_nombre = $categorias->dbField('categ_nombre');

                                            echo '<h1>'.$categ_nombre.'</h1><hr>
                                            <div class="row">';
                                            
                                            $Producto = new DB();
                                            $Fotos = new DB();

                                            $sqlProducto = "SELECT * FROM web_productos 
                                            WHERE categoria = '$categ_codigo'
                                            ORDER BY prod_id 
                                            LIMIT 3;";
                                            $Producto->dbSQL($sqlProducto);
                                            $html='';
                                            while($Producto->next()){                 	
                                                $prod_id = $Producto->dbField('prod_id');
                                                $prod_item = $Producto->dbField('prod_item');
                                                $prod_codigo = $Producto->dbField('prod_codigo');
                                                $prod_nombre = utf8_encode($Producto->dbField('prod_nombre'));
                                                $prod_piezascaja = $Producto->dbField('prod_piezascaja');
                                                $prod_cantidadcajas = $Producto->dbField('prod_cantidadcajas');
                                                $prod_unidadesreal = $Producto->dbField('prod_unidadesreal');
                                                $prod_preciounitario = $Producto->dbField('prod_preciounitario');
                                                $prod_preciodocena = $Producto->dbField('prod_preciodocena');
                                                $prod_preciocajadocena = $Producto->dbField('prod_preciocajadocena');
                                                $prod_fecha = $Producto->dbField('prod_fecha');
                                                $categoria = $Producto->dbField('categoria');
                                                $titulo = utf8_encode($Producto->dbField('titulo'));
                                                $caracteristicas = utf8_encode($Producto->dbField('caracteristicas'));
                                                $instrucciones = utf8_encode($Producto->dbField('instrucciones'));

                                                $sqlFotos = "SELECT * FROM web_media
                                                WHERE prod_codigo = '$prod_codigo'
                                                AND med_categoria = 'fotos';";
                                                $Fotos->dbSQL($sqlFotos);
                                                $Fotos->next();
                                                $med_archivo = $Fotos->dbField('med_archivo');
                                                if($med_archivo == ''){
                                                    $med_archivo = PATH_HOME.'files/vacio.jpg';
                                                }else{
                                                    $med_archivo = PATH_HOME.'files/small_'.$med_archivo;
                                                }
                                                $html.='<div class="col-sm-6 col-md-6 col-lg-4 col-xl-4">
                                                    <div class="products-single fix">
                                                        <div class="box-img-hover">
                                                            <img src="'.$med_archivo.'" class="img-fluid" alt="Image">
                                                            <div class="mask-icon">
                                                                <ul>
                                                                    <li><a href="'.PATH_HOME.'productos-detalles/'.$prod_codigo.'" data-toggle="tooltip" data-placement="right" title="Revisar"><i class="fas fa-eye"></i></a></li>
                                                                </ul>
                                                                <a class="cart" href="'.PATH_HOME.'productos-detalles/'.$prod_codigo.'">COMPRAR</a>
                                                            </div>
                                                        </div>
                                                        <div class="why-text">
                                                            <h4>'.$prod_nombre.'</h4>
                                                            <h5>Bs.'.$prod_preciounitario.'</h5>
                                                        </div>
                                                    </div>
                                                </div>';
                                            }
                                            echo $html;
                                            echo '</div>';
                                        }
                                        ?>                                                                                
                                    
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </div>
				<?php include('web4/categorias.php');?> 
            </div>
        </div>
    </div>

    <?php include('web4/inc_footer.php');?>    
</body>
</html>